Subject: EIA/IBIS FAQ - Rev2

From: [email-masked] (Syed Huq)
Date: Thu, 10 Aug 95 14:36:46 PDT

IBISgurus,

I would like to thank all of you who have sent me comments and suggestions
and changes for the FAQ. I am only sending you the items that I got feedback
on. Each FAQ follows with the original answer and the suggested changes.
I would like us to vote on this tomorrow and move towards the next step
of publishing this on the Web.

By default, I will assume that the rest of the FAQ's are 'ok' by the forum.

Best Regards,
Syed.
National Semoconductor.

-----------------------------------------------------------------------------

1.0 What is this IBIS stuff anyhow ?
IBIS(Input Output Buffer Information Specification) is a method of providing
the Input/Output device characteristics through V/I data without disclosing 
any circuit/process information. It can be thought of as an Analog Behavioral 
Modeling Specification that can be used to model almost 99% of any 
semiconductor in the Industry today. IBIS is mostly used for transmission line 
analysis as well as Signal Integrity analysis. 

Raj(Contec):
>  "can be used to model almost 99% of all semiconductor". I think  we could 
>   just make it "most semiconductors". 
> 

2.0 What is the "Golden Parser" ?

 The "Golden Parser" is a shareware used to parse the model file to check if the 
 file conforms to the IBIS specification. All model files need to pass the parser
 before a model can be released on the Internet.  

Will(Intel) & Bob(ICX):
> * The "Golden Parser" is a program called ibis_chk that parses the model file to
> verify that the file conforms to the IBIS specification. It is free, publically 
>available executable code developed by contractors for the IBIS Open Forum. All model 
>files must pass the parser before a model can be released on the Internet.

3.0 Where can I find the IBIS Golden Parser ?

You may download a copy of the executable directly from vhdl.org(anonymous ftp 
site) under /pub/ibis/ibis_chk. To obtain a copy of the source code, 
send E-mail to: ??

Will(Intel):
> The parser is freely available in object code format for many platforms, and can
> be downloaded via anonymous ftp from the vhdl.org BBS (198.31.14.3).  It resides
> under the /pub/ibis/ibis_chk directory.
> 
> The Golden Parser source code is also available from the EIA IBIS committee for 
> a fee.  In addition to checking syntax, it creates data structures from model 
> data that simulators can use.
> 
> There are three options for licensing the IBIS Golden Parser source code,
> V2.1, depending on your membership status in the IBIS committee of EIA:
> 
> 1) If you are a current member of the IBIS committee, you can license the
> parser source for an additional $250.00
> 2) If you are not a member, but would like to be, you can join the committee
> and license the parser source for a total of $750
> 3) If you are not a member, and do not wish to become a member, you can
> license the source for $500.
> 
> In any case, submit a request to:
> 
>      EIA
>      2500 Wilson Blvd.
>      Arlington, VA 22201
>      (703) 907-7545 (phone)
>      (703) 907-7501 (fax)
>      
> Enclose a check in the appropriate amount made out to EIA.  EIA will take
> care of distributing the source.

6.0 Can IBIS model SSO(Simultaneous Switching Output) ?  

IBIS as a model, has all the parameters required to model an SSO event. These
are mainly the package inductance parameters and other associated parasitics.
Modeling an SSO event is more of a simulator issue than IBIS.

Raj(Contec):
>    .....regarding SSO could mention the advantages of using Ver 2.1 models
>    over Ver 1.1. The use of a matrix for the inductance accounts for the "loop"
>    inductance i.e. the mutuals between the pins are considered. Usually
>    the mutuals help in reducing the net inductance. Moreover, Ver 2.1 contains
>    information on which driver/receiver is connected to which GND/VCC pin. 
>    This information is vital for SSO simulations. 
> 

7.0 Why do we need to sweep to 2Vcc ?

IBIS models are meant to work on any simulator platform, SPICE or non-SPICE.
But on a SPICE platform, the simulation might not converge if the end points
are not specified. Most non-SPICE based simulators will do their own
extrapolation to get to the end point. So, to make the IBIS model function on
all platforms, that data needs to sweep to the full IBIS range, for example
2Vcc.

Raj(Contec):
>    ............ reflections caused by improper terminations can produce
>    voltages at the driver/receiver terminals from -VCC to 2VCC. The drivers
>    and receivers, therefore, need to be modeled over this entire range.
> 
Will(Intel):
> Simulation accuracy is greatly enhanced by the "beyond-the-rail" data.  
> Overshoot and undershoot generally fall within this range, and the range 
> encompasses the forward-biased regions of protection diodes often used on 
> buffers.

8.0 Can IBIS model GTO(Gradual Turn On) or Slew rate controlled outputs ?

IBISv2.1 can model RTC(Rise Time Controlled), GTO(Gradual Turn on) or Slew rate
controlled outputs. These are defined under [Rising Waveform] and [Falling
Waveform] keywords. See IBISv2.1 specification for more details.

Will(Intel):
> Add:  The waveform tables can also serve as "golden waveforms" to check 
> simulator accuracy, since the load conditions that produced the tables are 
> specified. That is, the simulator should produce these waveforms when the model 
> is connected to the specified loads.

New Additions to the FAQ:

Will(Intel):
> 17.0  Can IBIS handle devices whose output is non-monotonic?
> 
> IBIS can handle non-monotonic data.  The parser will detect such data and issue 
> a warning in the possibility the data is in error, but will correctly parse the 
> data.  Whether a given simulator will treat the data correctly is a question 
> left to simulator vendors to answer.
> 
> For problems in modeling I/O buffers that IBIS doesn't adequately handle, the 
> IBIS Open Forum (a.k.a. the EIA IBIS Committee) is always trying to extend IBIS 
> to be more useful and has developed an excellent track record and set of 
> processes to move the standard forward without harming backward compatibility. 
> 
> 18.0 How do I become an active participant in IBIS activities?
> 
> To participate in IBIS discussions, send your email address to 
> [email-masked] (198.31.14.3). You will be added to the IBIS reflector, 
> which is a mail group used by IBIS partipants to exchange ideas and data. 
> Notices of upcoming teleconferences, agendas, and meeting minutes are also 
> distributed through the IBIS reflector.

				END

---

From: [email-masked] (Jon Powell)
Date: Fri, 11 Aug 95 07:40:56 PDT

> 17.0  Can IBIS handle devices whose output is non-monotonic?

No, IBIS cannot handle non-montonic devices. Though non-monotonic
data can be entered the feed back delay is not specified and so the
IBIS mechanism cannot accurately guarantee to provide the necessary
data for proper simulation. To some degree assumptions made by the simulation
vendor can address this but the IBIS data cannot be said to be accurate for
feedback times ranging from instantaneous to DC.

jon

--- I actually think we should just leave this question off.